uk.gov.hmrc.alertconfig.builders

# AlertConfigBuilder

###
Related Doc: package builders

#### case class AlertConfigBuilder(serviceName: String, handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold] = Nil, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue, averageCPUThreshold: Int = Int.MaxValue, platformService: Boolean = false) extends Builder[Option[String]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Builder[Option[String]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlertConfigBuilder
2. Serializable
3. Serializable
4. Product
5. Equals
6. Builder
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AlertConfigBuilder(serviceName: String, handlers: Seq[String] = Seq("noop"), exceptionThreshold: Int = 2, http5xxThreshold: Http5xxThreshold = Http5xxThreshold(), http5xxPercentThreshold: Double = 100, httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold] = Nil, containerKillThreshold: Int = 1, httpStatusThresholds: Seq[HttpStatusThreshold] = Nil, logMessageThresholds: Seq[LogMessageThreshold] = Nil, totalHttpRequestThreshold: Int = Int.MaxValue, averageCPUThreshold: Int = Int.MaxValue, platformService: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val averageCPUThreshold: Int

6. #### def build: Option[String]

   Definition Classes
     AlertConfigBuilder → Builder

7. #### def buildLogMessageThresholdsJson: String

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val containerKillThreshold: Int

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### val exceptionThreshold: Int

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def getZone(appConfigFile: File, platformService: Boolean = false): Option[String]

15. #### val handlers: Seq[String]

16. #### val http5xxPercentThreshold: Double

17. #### val http5xxThreshold: Http5xxThreshold

18. #### val httpAbsolutePercentSplitThreshold: Seq[HttpAbsolutePercentSplitThreshold]

19. #### val httpStatusThresholds: Seq[HttpStatusThreshold]

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isPlatformService(platformService: Boolean): AlertConfigBuilder

22. #### val logMessageThresholds: Seq[LogMessageThreshold]

23. #### val logger: Logger

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### val platformService: Boolean

28. #### val serviceName: String

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### val totalHttpRequestThreshold: Int

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### def withAverageCPUThreshold(averageCPUThreshold: Int): AlertConfigBuilder

35. #### def withContainerKillThreshold(containerCrashThreshold: Int): AlertConfigBuilder

36. #### def withExceptionThreshold(exceptionThreshold: Int): AlertConfigBuilder

37. #### def withHandlers(handlers: String*): AlertConfigBuilder

38. #### def withHttp5xxPercentThreshold(http5xxPercentThreshold: Int): AlertConfigBuilder

39. #### def withHttp5xxThreshold(http5xxThreshold: Int, severity: AlertSeverityType = AlertSeverity.critical): AlertConfigBuilder

40. #### def withHttpAbsolutePercentSplitThreshold(threshold: HttpAbsolutePercentSplitThreshold): AlertConfigBuilder

41. #### def withHttpStatusThreshold(threshold: HttpStatusThreshold): AlertConfigBuilder

42. #### def withLogMessageThreshold(message: String, threshold: Int, lessThanMode: Boolean = false): AlertConfigBuilder

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Builder[Option[String]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped